Skip to main content

Freight Surcharge Update V1 Ep

POST 

/v1/freight/surcharge/rate/update_many

Surcharge Rate Update Many

Used to update a surcharge for a specific date based on the rate id. Dates for surcharges can be moved as long as they would not create an overlap with an existing rate.

Required Scopes (ia.w)

Request​

Request is a list of the following objects. id: str
ID of the surcharge rate to update.​

effective_from: datetime
New start date when surcharge is effective.​

effective_to: datetime | None = None
New end date when surcharge is effective.​

surcharge: float | None = None
New surcharge amount.​

Response​

good: int
Number of surcharge rates successfully updated.​

bad: list
List of failed surcharge rate update attempts with error details.

Details

Show Child Attributes request: SurchargeUpdateReq
The original request that failed.

error: str
Error message describing why the update failed.


Responses​

Successful Response

Loading...